Teams
Get All Team Groups
Retrieve information of all the organization’s active team groups.
GET
/
api
/
v3
/
groups
Get All Team Groups
curl --request GET \
--url https://app.staging.sendo.so/api/v3/groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.staging.sendo.so/api/v3/groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.staging.sendo.so/api/v3/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_page": 1,
"per_page": 1,
"total_groups": 20,
"groups": [
{
"id": 1234,
"budget": 50,
"created_at": "2020-05-01T13:53:05.000-07:00",
"monthly_budget": "50000",
"name": "Field Marketing",
"one_time_budget": 0,
"rollover": true,
"team_id": 5678,
"updated_at": "2022-09-26T11:49:50.000-07:00"
}
]
}
Parameters
integer
The page number of the results you want to retrieve (the first page is 1). See Pagination for more information.
integer
The number of users to be returned per page (max is 100). See Pagination for more information.
Response
integer
required
The current page being returned (used for pagination purposes).
integer
required
The number of results being returned per page (used for pagination purposes).
integer
required
The total number of team groups (used for pagination purposes).
array
required
List of team group objects
Hide team_group
Hide team_group
string
required
The team groups’s identifier
integer
required
The team groups’s budget
string
required
The team group’s creation date (in
ISO 8601 format)string
required
The team group’s monthly allocated budget
number
required
The team group’s name
integer
required
The team group’s one time budget
boolean
required
Whether or not the monthly budget rolls over to the next month or not.
integer
required
The team group’s organization id
string
required
The team group’s last updated date (in
ISO 8601 format){
"current_page": 1,
"per_page": 1,
"total_groups": 20,
"groups": [
{
"id": 1234,
"budget": 50,
"created_at": "2020-05-01T13:53:05.000-07:00",
"monthly_budget": "50000",
"name": "Field Marketing",
"one_time_budget": 0,
"rollover": true,
"team_id": 5678,
"updated_at": "2022-09-26T11:49:50.000-07:00"
}
]
}
⌘I
Get All Team Groups
